diff --git a/doc/bash.0 b/doc/bash.0
index cec51773..29769d53 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -3785,159 +3794,159 @@ RREEAADDLLIINNEE
 
 
 HHIISSTTOORRYY
-       When the --oo hhiissttoorryy option to the sseett builtin  is  enabled,  the  shell
+       When  the  --oo  hhiissttoorryy  option to the sseett builtin is enabled, the shell
        provides access to the _c_o_m_m_a_n_d _h_i_s_t_o_r_y, the list of commands previously
-       typed.  The value of the HHIISSTTSSIIZZEE variable is used  as  the  number  of
+       typed.   The  value  of  the HHIISSTTSSIIZZEE variable is used as the number of
        commands to save in a history list.  The text of the last HHIISSTTSSIIZZEE com-
-       mands (default 500) is saved.  The shell stores  each  command  in  the
-       history  list  prior to parameter and variable expansion (see EEXXPPAANNSSIIOONN
-       above) but after history expansion is performed, subject to the  values
+       mands  (default  500)  is  saved.  The shell stores each command in the
+       history list prior to parameter and variable expansion  (see  EEXXPPAANNSSIIOONN
+       above)  but after history expansion is performed, subject to the values
        of the shell variables HHIISSTTIIGGNNOORREE and HHIISSTTCCOONNTTRROOLL.
 
        On startup, the history is initialized from the file named by the vari-
-       able HHIISSTTFFIILLEE (default _~_/_._b_a_s_h___h_i_s_t_o_r_y).  The file named by  the  value
-       of  HHIISSTTFFIILLEE  is  truncated,  if necessary, to contain no more than the
-       number of lines specified by the value of HHIISSTTFFIILLEESSIIZZEE.   If  HHIISSTTFFIILLEE--
-       SSIIZZEE  is unset, or set to null, a non-numeric value, or a numeric value
-       less than zero, the history file is not truncated.   When  the  history
-       file  is  read, lines beginning with the history comment character fol-
+       able  HHIISSTTFFIILLEE  (default _~_/_._b_a_s_h___h_i_s_t_o_r_y).  The file named by the value
+       of HHIISSTTFFIILLEE is truncated, if necessary, to contain  no  more  than  the
+       number  of  lines specified by the value of HHIISSTTFFIILLEESSIIZZEE.  If HHIISSTTFFIILLEE--
+       SSIIZZEE is unset, or set to null, a non-numeric value, or a numeric  value
+       less  than  zero,  the history file is not truncated.  When the history
+       file is read, lines beginning with the history comment  character  fol-
        lowed immediately by a digit are interpreted as timestamps for the pre-
        ceding history line.  These timestamps are optionally displayed depend-
-       ing on the value of the HHIISSTTTTIIMMEEFFOORRMMAATT variable.   When  a  shell  with
-       history  enabled  exits,  the  last $$HHIISSTTSSIIZZEE lines are copied from the
-       history list to $$HHIISSTTFFIILLEE.  If the hhiissttaappppeenndd shell option  is  enabled
-       (see  the description of sshhoopptt under SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below), the
-       lines are appended to the history file, otherwise the history  file  is
+       ing  on  the  value  of the HHIISSTTTTIIMMEEFFOORRMMAATT variable.  When a shell with
+       history enabled exits, the last $$HHIISSTTSSIIZZEE lines  are  copied  from  the
+       history  list  to $$HHIISSTTFFIILLEE.  If the hhiissttaappppeenndd shell option is enabled
+       (see the description of sshhoopptt under SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below),  the
+       lines  are  appended to the history file, otherwise the history file is
        overwritten.   If  HHIISSTTFFIILLEE  is  unset,  or  if  the  history  file  is
-       unwritable, the history is not saved.  If the  HHIISSTTTTIIMMEEFFOORRMMAATT  variable
-       is  set,  time  stamps are written to the history file, marked with the
-       history comment character, so they may be preserved across  shell  ses-
-       sions.   This  uses  the history comment character to distinguish time-
+       unwritable,  the  history is not saved.  If the HHIISSTTTTIIMMEEFFOORRMMAATT variable
+       is set, time stamps are written to the history file,  marked  with  the
+       history  comment  character, so they may be preserved across shell ses-
+       sions.  This uses the history comment character  to  distinguish  time-
        stamps from other history lines.  After saving the history, the history
        file is truncated to contain no more than HHIISSTTFFIILLEESSIIZZEE lines.  If HHIISSTT--
-       FFIILLEESSIIZZEE is unset, or set to null, a non-numeric value,  or  a  numeric
+       FFIILLEESSIIZZEE  is  unset,  or set to null, a non-numeric value, or a numeric
        value less than zero, the history file is not truncated.
 
-       The  builtin  command ffcc (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below) may be used
+       The builtin command ffcc (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below) may  be  used
        to list or edit and re-execute a portion of the history list.  The hhiiss--
-       ttoorryy  builtin  may  be  used  to display or modify the history list and
-       manipulate the history file.  When using command-line  editing,  search
-       commands  are available in each editing mode that provide access to the
+       ttoorryy builtin may be used to display or  modify  the  history  list  and
+       manipulate  the  history file.  When using command-line editing, search
+       commands are available in each editing mode that provide access to  the
        history list.
 
-       The shell allows control over which commands are saved on  the  history
+       The  shell  allows control over which commands are saved on the history
        list.  The HHIISSTTCCOONNTTRROOLL and HHIISSTTIIGGNNOORREE variables may be set to cause the
        shell to save only a subset of the commands entered.  The ccmmddhhiisstt shell
-       option,  if enabled, causes the shell to attempt to save each line of a
-       multi-line command in the same history entry, adding  semicolons  where
-       necessary  to preserve syntactic correctness.  The lliitthhiisstt shell option
-       causes the shell to save the command with embedded newlines instead  of
+       option, if enabled, causes the shell to attempt to save each line of  a
+       multi-line  command  in the same history entry, adding semicolons where
+       necessary to preserve syntactic correctness.  The lliitthhiisstt shell  option
+       causes  the shell to save the command with embedded newlines instead of
        semicolons.  See the description of the sshhoopptt builtin below under SSHHEELLLL
        BBUUIILLTTIINN  CCOOMMMMAANNDDSS  for  information  on  setting  and  unsetting  shell
        options.
 
 HHIISSTTOORRYY EEXXPPAANNSSIIOONN
-       The  shell  supports a history expansion feature that is similar to the
-       history expansion in ccsshh..  This section describes what syntax  features
-       are  available.   This  feature  is  enabled by default for interactive
+       The shell supports a history expansion feature that is similar  to  the
+       history  expansion in ccsshh..  This section describes what syntax features
+       are available.  This feature is  enabled  by  default  for  interactive
        shells, and can be disabled using the ++HH option to the sseett builtin com-
        mand (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).  Non-interactive shells do not
        perform history expansion by default.
 
        History expansions introduce words from the history list into the input
-       stream,  making  it  easy to repeat commands, insert the arguments to a
+       stream, making it easy to repeat commands, insert the  arguments  to  a
        previous command into the current input line, or fix errors in previous
        commands quickly.
 
-       History  expansion  is  performed  immediately after a complete line is
-       read, before the shell breaks it into words.  It  takes  place  in  two
-       parts.   The  first is to determine which line from the history list to
+       History expansion is performed immediately after  a  complete  line  is
+       read,  before  the  shell  breaks it into words.  It takes place in two
+       parts.  The first is to determine which line from the history  list  to
        use during substitution.  The second is to select portions of that line
        for inclusion into the current one.  The line selected from the history
-       is the _e_v_e_n_t, and the portions of that line that  are  acted  upon  are
-       _w_o_r_d_s.   Various  _m_o_d_i_f_i_e_r_s  are  available  to manipulate the selected
+       is  the  _e_v_e_n_t,  and  the portions of that line that are acted upon are
+       _w_o_r_d_s.  Various _m_o_d_i_f_i_e_r_s are  available  to  manipulate  the  selected
        words.  The line is broken into words in the same fashion as when read-
-       ing  input, so that several _m_e_t_a_c_h_a_r_a_c_t_e_r-separated words surrounded by
-       quotes are considered one word.  History expansions are  introduced  by
-       the  appearance  of  the  history  expansion  character,  which is !! by
-       default.  Only backslash (\\) and single quotes can  quote  the  history
+       ing input, so that several _m_e_t_a_c_h_a_r_a_c_t_e_r-separated words surrounded  by
+       quotes  are  considered one word.  History expansions are introduced by
+       the appearance of the  history  expansion  character,  which  is  !!  by
+       default.   Only  backslash  (\\) and single quotes can quote the history
        expansion character.
 
-       Several  characters inhibit history expansion if found immediately fol-
-       lowing the history expansion character, even if it is unquoted:  space,
-       tab,  newline,  carriage return, and ==.  If the eexxttgglloobb shell option is
+       Several characters inhibit history expansion if found immediately  fol-
+       lowing  the history expansion character, even if it is unquoted: space,
+       tab, newline, carriage return, and ==.  If the eexxttgglloobb shell  option  is
        enabled, (( will also inhibit expansion.
 
-       Several shell options settable with the sshhoopptt builtin may  be  used  to
-       tailor  the  behavior  of  history  expansion.  If the hhiissttvveerriiffyy shell
+       Several  shell  options  settable with the sshhoopptt builtin may be used to
+       tailor the behavior of history  expansion.   If  the  hhiissttvveerriiffyy  shell
        option is enabled (see the description of the sshhoopptt builtin below), and
-       rreeaaddlliinnee  is  being  used,  history  substitutions  are not immediately
-       passed to the shell parser.  Instead, the  expanded  line  is  reloaded
+       rreeaaddlliinnee is being  used,  history  substitutions  are  not  immediately
+       passed  to  the  shell  parser.  Instead, the expanded line is reloaded
        into the rreeaaddlliinnee editing buffer for further modification.  If rreeaaddlliinnee
-       is being used, and the hhiissttrreeeeddiitt shell option  is  enabled,  a  failed
-       history  substitution will be reloaded into the rreeaaddlliinnee editing buffer
-       for correction.  The --pp option to the hhiissttoorryy builtin  command  may  be
-       used  to  see what a history expansion will do before using it.  The --ss
+       is  being  used,  and  the hhiissttrreeeeddiitt shell option is enabled, a failed
+       history substitution will be reloaded into the rreeaaddlliinnee editing  buffer
+       for  correction.   The  --pp option to the hhiissttoorryy builtin command may be
+       used to see what a history expansion will do before using it.   The  --ss
        option to the hhiissttoorryy builtin may be used to add commands to the end of
-       the  history  list  without  actually  executing them, so that they are
+       the history list without actually executing  them,  so  that  they  are
        available for subsequent recall.
 
-       The shell allows control of the various characters used by the  history
+       The  shell allows control of the various characters used by the history
        expansion mechanism (see the description of hhiissttcchhaarrss above under SShheellll
-       VVaarriiaabblleess).  The shell uses the history comment character to mark  his-
+       VVaarriiaabblleess).   The shell uses the history comment character to mark his-
        tory timestamps when writing the history file.
 
    EEvveenntt DDeessiiggnnaattoorrss
-       An  event designator is a reference to a command line entry in the his-
-       tory list.  Unless the reference is absolute, events  are  relative  to
+       An event designator is a reference to a command line entry in the  his-
+       tory  list.   Unless  the reference is absolute, events are relative to
        the current position in the history list.
 
-       !!      Start  a  history substitution, except when followed by a bbllaannkk,
-              newline, carriage return, = or ( (when the eexxttgglloobb shell  option
+       !!      Start a history substitution, except when followed by  a  bbllaannkk,
+              newline,  carriage return, = or ( (when the eexxttgglloobb shell option
               is enabled using the sshhoopptt builtin).
        !!_n     Refer to command line _n.
        !!--_n    Refer to the current command minus _n.
        !!!!     Refer to the previous command.  This is a synonym for `!-1'.
        !!_s_t_r_i_n_g
-              Refer  to the most recent command preceding the current position
+              Refer to the most recent command preceding the current  position
               in the history list starting with _s_t_r_i_n_g.
        !!??_s_t_r_i_n_g[[??]]
-              Refer to the most recent command preceding the current  position
-              in  the  history  list containing _s_t_r_i_n_g.  The trailing ?? may be
+              Refer  to the most recent command preceding the current position
+              in the history list containing _s_t_r_i_n_g.  The trailing  ??  may  be
               omitted if _s_t_r_i_n_g is followed immediately by a newline.
        ^^_s_t_r_i_n_g_1^^_s_t_r_i_n_g_2^^
-              Quick substitution.   Repeat  the  previous  command,  replacing
-              _s_t_r_i_n_g_1  with  _s_t_r_i_n_g_2.  Equivalent to ``!!:s/_s_t_r_i_n_g_1/_s_t_r_i_n_g_2/''
+              Quick  substitution.   Repeat  the  previous  command, replacing
+              _s_t_r_i_n_g_1 with _s_t_r_i_n_g_2.  Equivalent  to  ``!!:s/_s_t_r_i_n_g_1/_s_t_r_i_n_g_2/''
               (see MMooddiiffiieerrss below).
        !!##     The entire command line typed so far.
 
    WWoorrdd DDeessiiggnnaattoorrss
-       Word designators are used to select desired words from the event.  A  ::
-       separates  the event specification from the word designator.  It may be
-       omitted if the word designator begins with a ^^, $$, **, --, or  %%.   Words
-       are  numbered from the beginning of the line, with the first word being
-       denoted by 0 (zero).  Words are inserted into the  current  line  sepa-
+       Word  designators are used to select desired words from the event.  A ::
+       separates the event specification from the word designator.  It may  be
+       omitted  if  the word designator begins with a ^^, $$, **, --, or %%.  Words
+       are numbered from the beginning of the line, with the first word  being
+       denoted  by  0  (zero).  Words are inserted into the current line sepa-
        rated by single spaces.
 
        00 ((zzeerroo))
               The zeroth word.  For the shell, this is the command word.
        _n      The _nth word.
        ^^      The first argument.  That is, word 1.
-       $$      The  last  word.   This  is  usually the last argument, but will
+       $$      The last word.  This is usually  the  last  argument,  but  will
               expand to the zeroth word if there is only one word in the line.
        %%      The word matched by the most recent `?_s_t_r_i_n_g?' search.
        _x--_y    A range of words; `-_y' abbreviates `0-_y'.
-       **      All of the words but the zeroth.  This is a synonym  for  `_1_-_$'.
-              It  is  not  an  error to use ** if there is just one word in the
+       **      All  of  the words but the zeroth.  This is a synonym for `_1_-_$'.
+              It is not an error to use ** if there is just  one  word  in  the
               event; the empty string is returned in that case.
        xx**     Abbreviates _x_-_$.
        xx--     Abbreviates _x_-_$ like xx**, but omits the last word.
 
-       If a word designator is supplied without an  event  specification,  the
+       If  a  word  designator is supplied without an event specification, the
        previous command is used as the event.
 
    MMooddiiffiieerrss
-       After  the optional word designator, there may appear a sequence of one
+       After the optional word designator, there may appear a sequence of  one
        or more of the following modifiers, each preceded by a `:'.
 
        hh      Remove a trailing filename component, leaving only the head.
@@ -3946,55 +3955,60 @@ HHIISSTTOORRYY EEXXPPAANNSSIIOONN
        ee      Remove all but the trailing suffix.
        pp      Print the new command but do not execute it.
        qq      Quote the substituted words, escaping further substitutions.
-       xx      Quote the substituted words as with qq, but break into  words  at
+       xx      Quote  the  substituted words as with qq, but break into words at
               bbllaannkkss and newlines.
        ss//_o_l_d//_n_e_w//
-              Substitute  _n_e_w  for  the  first  occurrence of _o_l_d in the event
-              line.  Any delimiter can be used  in  place  of  /.   The  final
-              delimiter  is  optional if it is the last character of the event
-              line.  The delimiter may be quoted in _o_l_d and _n_e_w with a  single
-              backslash.   If & appears in _n_e_w, it is replaced by _o_l_d.  A sin-
-              gle backslash will quote the &.  If _o_l_d is null, it  is  set  to
-              the  last  _o_l_d substituted, or, if no previous history substitu-
+              Substitute _n_e_w for the first occurrence  of  _o_l_d  in  the  event
+              line.   Any  delimiter  can  be  used  in place of /.  The final
+              delimiter is optional if it is the last character of  the  event
+              line.   The delimiter may be quoted in _o_l_d and _n_e_w with a single
+              backslash.  If & appears in _n_e_w, it is replaced by _o_l_d.  A  sin-
+              gle  backslash  will  quote the &.  If _o_l_d is null, it is set to
+              the last _o_l_d substituted, or, if no previous  history  substitu-
               tions took place, the last _s_t_r_i_n_g in a !!??_s_t_r_i_n_g[[??]]  search.
        &&      Repeat the previous substitution.
        gg      Cause changes to be applied over the entire event line.  This is
-              used  in  conjunction  with `::ss' (e.g., `::ggss//_o_l_d//_n_e_w//') or `::&&'.
-              If used with `::ss', any delimiter can be used in place of /,  and
-              the  final  delimiter is optional if it is the last character of
+              used in conjunction with `::ss' (e.g.,  `::ggss//_o_l_d//_n_e_w//')  or  `::&&'.
+              If  used with `::ss', any delimiter can be used in place of /, and
+              the final delimiter is optional if it is the last  character  of
               the event line.  An aa may be used as a synonym for gg.
-       GG      Apply the following `ss' modifier once to each word in the  event
+       GG      Apply  the following `ss' modifier once to each word in the event
               line.
 
 SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS
        Unless otherwise noted, each builtin command documented in this section
        as accepting options preceded by -- accepts ---- to signify the end of the
-       options.   The  ::, ttrruuee, ffaallssee, and tteesstt builtins do not accept options
+       options.  The ::, ttrruuee, ffaallssee, and tteesstt builtins do not  accept  options
        and do not treat ---- specially.  The eexxiitt, llooggoouutt, bbrreeaakk, ccoonnttiinnuuee, lleett,
-       and  sshhiifftt builtins accept and process arguments beginning with -- with-
-       out requiring ----.  Other builtins that accept  arguments  but  are  not
-       specified  as accepting options interpret arguments beginning with -- as
+       and sshhiifftt builtins accept and process arguments beginning with --  with-
+       out  requiring  ----.   Other  builtins that accept arguments but are not
+       specified as accepting options interpret arguments beginning with --  as
        invalid options and require ---- to prevent this interpretation.
        :: [_a_r_g_u_m_e_n_t_s]
-              No effect; the command does nothing beyond  expanding  _a_r_g_u_m_e_n_t_s
-              and  performing any specified redirections.  A zero exit code is
-              returned.
+              No  effect;  the command does nothing beyond expanding _a_r_g_u_m_e_n_t_s
+              and performing any specified redirections.  The return status is
+              zero.
 
         ..  _f_i_l_e_n_a_m_e [_a_r_g_u_m_e_n_t_s]
        ssoouurrccee _f_i_l_e_n_a_m_e [_a_r_g_u_m_e_n_t_s]
-              Read and execute commands from _f_i_l_e_n_a_m_e  in  the  current  shell
-              environment  and return the exit status of the last command exe-
-              cuted from _f_i_l_e_n_a_m_e.  If _f_i_l_e_n_a_m_e  does  not  contain  a  slash,
-              filenames  in  PPAATTHH  are  used  to find the directory containing
+              Read  and  execute  commands  from _f_i_l_e_n_a_m_e in the current shell
+              environment and return the exit status of the last command  exe-
+              cuted  from  _f_i_l_e_n_a_m_e.   If  _f_i_l_e_n_a_m_e  does not contain a slash,
+              filenames in PPAATTHH are used  to  find  the  directory  containing
               _f_i_l_e_n_a_m_e.  The file searched for in PPAATTHH need not be executable.
-              When  bbaasshh  is  not  in  _p_o_s_i_x  _m_o_d_e,  the  current directory is
-              searched if no file is found in PPAATTHH.  If the ssoouurrcceeppaatthh  option
-              to  the  sshhoopptt  builtin  command  is turned off, the PPAATTHH is not
-              searched.  If any _a_r_g_u_m_e_n_t_s are supplied, they become the  posi-
-              tional  parameters  when  _f_i_l_e_n_a_m_e  is  executed.  Otherwise the
-              positional parameters are unchanged.  The return status  is  the
-              status  of  the  last  command exited within the script (0 if no
-              commands are executed), and false if _f_i_l_e_n_a_m_e is  not  found  or
+              When bbaasshh is  not  in  _p_o_s_i_x  _m_o_d_e,  the  current  directory  is
+              searched  if no file is found in PPAATTHH.  If the ssoouurrcceeppaatthh option
+              to the sshhoopptt builtin command is turned  off,  the  PPAATTHH  is  not
+              searched.   If any _a_r_g_u_m_e_n_t_s are supplied, they become the posi-
+              tional parameters when  _f_i_l_e_n_a_m_e  is  executed.   Otherwise  the
+              positional  parameters  are  unchanged.   If  the  --TT  option is
+              enabled, ssoouurrccee inherits any trap on DDEEBBUUGG; if it  is  not,  any
+              DDEEBBUUGG  trap  string  is  saved  and  restored around the call to
+              ssoouurrccee, and ssoouurrccee unsets the DDEEBBUUGG trap while it executes.   If
+              --TT  is not set, and the sourced file changes the DDEEBBUUGG trap, the
+              new value is retained when ssoouurrccee completes.  The return  status
+              is the status of the last command exited within the script (0 if
+              no commands are executed), and false if _f_i_l_e_n_a_m_e is not found or
               cannot be read.
 
        aalliiaass [--pp] [_n_a_m_e[=_v_a_l_u_e] ...]
@@ -4661,33 +4675,34 @@ SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS
               --cc     Clear the history list by deleting all the entries.
               --dd _o_f_f_s_e_t
                      Delete the history entry at position _o_f_f_s_e_t.
-              --aa     Append  the  ``new'' history lines (history lines entered
-                     since the beginning of the current bbaasshh session)  to  the
+              --aa     Append  the  ``new''  history  lines to the history file.
+                     These are history lines entered since  the  beginning  of
+                     the current bbaasshh session, but not already appended to the
                      history file.
-              --nn     Read  the history lines not already read from the history
-                     file into the current  history  list.   These  are  lines
-                     appended  to  the history file since the beginning of the
+              --nn     Read the history lines not already read from the  history
+                     file  into  the  current  history  list.  These are lines
+                     appended to the history file since the beginning  of  the
                      current bbaasshh session.
-              --rr     Read the contents of the history file and append them  to
+              --rr     Read  the contents of the history file and append them to
                      the current history list.
               --ww     Write the current history list to the history file, over-
                      writing the history file's contents.
-              --pp     Perform history substitution on the  following  _a_r_g_s  and
-                     display  the  result  on  the  standard output.  Does not
-                     store the results in the history list.  Each _a_r_g must  be
+              --pp     Perform  history  substitution  on the following _a_r_g_s and
+                     display the result on  the  standard  output.   Does  not
+                     store  the results in the history list.  Each _a_r_g must be
                      quoted to disable normal history expansion.
-              --ss     Store  the  _a_r_g_s  in  the history list as a single entry.
-                     The last command in the history list  is  removed  before
+              --ss     Store the _a_r_g_s in the history list  as  a  single  entry.
+                     The  last  command  in the history list is removed before
                      the _a_r_g_s are added.
 
-              If  the  HHIISSTTTTIIMMEEFFOORRMMAATT variable is set, the time stamp informa-
-              tion associated with each history entry is written to  the  his-
-              tory  file, marked with the history comment character.  When the
-              history file is read, lines beginning with the  history  comment
-              character  followed  immediately  by  a digit are interpreted as
+              If the HHIISSTTTTIIMMEEFFOORRMMAATT variable is set, the time  stamp  informa-
+              tion  associated  with each history entry is written to the his-
+              tory file, marked with the history comment character.  When  the
+              history  file  is read, lines beginning with the history comment
+              character followed immediately by a  digit  are  interpreted  as
               timestamps for the previous history line.  The return value is 0
-              unless  an  invalid option is encountered, an error occurs while
-              reading or writing the history file, an invalid _o_f_f_s_e_t  is  sup-
+              unless an invalid option is encountered, an error  occurs  while
+              reading  or  writing the history file, an invalid _o_f_f_s_e_t is sup-
               plied as an argument to --dd, or the history expansion supplied as
               an argument to --pp fails.
 
